Create a new Condition.

Prev Next
Post
/conditions

Create a new Condition.

Security
HTTP
Type bearer
Body parameters

Condition object.

Expand All
object
id
string (uuid)

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
name
string Required

Name of the object.

Exampleobject
notes
string

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
tags
Array of string

Array of tags.

Example[ "developer", "api-created" ]
string
expression
string Required

Boolean expression in JavaScript.

Examplevar result = false; if/*password*/(claims.user.hasPassword('test', 60))/*end password*/ { return true; } return result;
repeatSchedules
Array of string

A list of schedules that decides when to reevaluate the Condition. All the scheduled times will be effective. One will not override the other. - It can be a time of the day, e.g. 13:00, 10:25, 2:10 etc. - It can be one of the predefined intervals, e.g. 1m, 5m, 15m, 1h. These intervals will be always rounded up, i.e. if it's 15m and the time is 12:07 when the Condition is evaluated first, then the next evaluation will occur at 12:15, and the next one will be at 12:30 and so on.

Example[ "1h", "13:32" ]
string
remedyLogic
string

Whether all the Remedy Methods must succeed to pass this Condition or just one.

Valid values[ "and", "or" ]
Default"and"
remedyMethods
Array of object (RemedyMethod)

The remedy methods that will be triggered if the evaluation fails.

object
type
string Required

User Action type.

Valid values[ "DisplayMessage", "OtpAuthentication", "PasswordAuthentication", "Reason" ]
ExamplePasswordAuthentication
message
string Required

Message to be shown to the user. Required for all remedy method.

ExampleThis resource requires you to enter your password again
claimSuffix
string

Suffix to be added to the claim. Required for OtpAuthentication, PasswordAuthentication and Reason remedy methods.

Exampletest
providerId
string (uuid)

MFA Provider Id or Identity Provider Id. Required for some remedy method.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
Responses
200

Created Condition.

Expand All
object
id
string (uuid)

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
name
string

Name of the object.

Exampleobject
notes
string

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
created
string (date-time)

Create date.

updated
string (date-time)

Last update date.

tags
Array of string

Array of tags.

Example[ "developer", "api-created" ]
string
expression
string

Boolean expression in JavaScript.

Examplevar result = false; if/*password*/(claims.user.hasPassword('test', 60))/*end password*/ { return true; } return result;
repeatSchedules
Array of string

A list of schedules that decides when to reevaluate the Condition. All the scheduled times will be effective. One will not override the other. - It can be a time of the day, e.g. 13:00, 10:25, 2:10 etc. - It can be one of the predefined intervals, e.g. 1m, 5m, 15m, 1h. These intervals will be always rounded up, i.e. if it's 15m and the time is 12:07 when the Condition is evaluated first, then the next evaluation will occur at 12:15, and the next one will be at 12:30 and so on.

Example[ "1h", "13:32" ]
string
remedyLogic
string

Whether all the Remedy Methods must succeed to pass this Condition or just one.

Valid values[ "and", "or" ]
Default"and"
remedyMethods
Array of object (RemedyMethod)

The remedy methods that will be triggered if the evaluation fails.

object
type
string

User Action type.

Valid values[ "DisplayMessage", "OtpAuthentication", "PasswordAuthentication", "Reason" ]
ExamplePasswordAuthentication
message
string

Message to be shown to the user. Required for all remedy method.

ExampleThis resource requires you to enter your password again
claimSuffix
string

Suffix to be added to the claim. Required for OtpAuthentication, PasswordAuthentication and Reason remedy methods.

Exampletest
providerId
string (uuid)

MFA Provider Id or Identity Provider Id. Required for some remedy method.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
400

JSON error. Check the JSON format.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

409

The submitted resource conflicts with another.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

422

Request validation error. Check "errors" array for details.

Expand All
object

Http 422 error for object validation.

id
string

Machine readable error code.

message
string

Human readable error details.

errors
Array of object

List of fields with validation errors.

object
field
string

Name of the field that failed validation.

Examplename
message
string

Failure reason.

Examplemay not be null
500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.